Package generic.stl

# Class SetSTL<K>

java.lang.Object
generic.stl.SetSTL<K>

Direct Known Subclasses:
  `ComparableSetSTL`

public class SetSTL<K> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetSTL(SetSTL<K> set)`
  `SetSTL(Comparator<K> comparator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IteratorSTL<K>`
  `begin()`
  `void`
  `clear()`
  `boolean`
  `contains(K key)`
  `IteratorSTL<K>`
  `end()`
  `void`
  `erase(IteratorSTL<K> iterator)`
  `void`
  `erase(K key)`
  `IteratorSTL<K>`
  `find(K key)`
  `Pair<IteratorSTL<K>,Boolean>`
  `insert(K key)`
  `boolean`
  `isEmpty()`
  `IteratorSTL<K>`
  `lower_bound(K key)`
  `IteratorSTL<K>`
  `rBegin()`
  `boolean`
  `remove(K key)`
  `IteratorSTL<K>`
  `rEnd()`
  `String`
  `toString()`
  `IteratorSTL<K>`
  `upper_bound(K key)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetSTL

    public SetSTL(Comparator<K> comparator)

  - ### SetSTL

    public SetSTL(SetSTL<K> set)

- ## Method Details

  - ### insert

    public Pair<IteratorSTL<K>,Boolean> insert(K key)

  - ### contains

    public boolean contains(K key)

  - ### remove

    public boolean remove(K key)

  - ### find

    public IteratorSTL<K> find(K key)

  - ### erase

    public void erase(IteratorSTL<K> iterator)

  - ### begin

    public IteratorSTL<K> begin()

  - ### end

    public IteratorSTL<K> end()

  - ### rBegin

    public IteratorSTL<K> rBegin()

  - ### rEnd

    public IteratorSTL<K> rEnd()

  - ### lower_bound

    public IteratorSTL<K> lower_bound(K key)

  - ### upper_bound

    public IteratorSTL<K> upper_bound(K key)

  - ### erase

    public void erase(K key)

  - ### clear

    public void clear()

  - ### isEmpty

    public boolean isEmpty()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`